package com.yizhi.live.application.vo;

import lombok.Data;

/**
 * 直播统计数据
 */
@Data
public class LiveStatisticDataVo {
    private String channelId;
    //频道名称
    private String name;
    //pc端播放时长，单位：分钟
    private Integer pcPlayDuration;
    //pc端播放流量，单位为Byte
    private Integer pcFlowSize;
    //pc视频播放量
    private Integer pcVideoView;
    //pc端唯一观众数
    private Integer pcUniqueViewer;
    //移动端播放时长，单位：分钟
    private Integer mobilePlayDuration;
    //移动端播放流量，单位为Byte
    private Integer mobileFlowSize;
    //移动端播放量
    private Integer mobileVideoView;
    //移动端唯一观众数
    private Integer mobileUniqueViewer;
    //PC直播播放时长，单位为分钟
    private Integer livePcPlayDuration;
    //PC回放播放时长，单位为分钟
    private Integer playbackPcPlayDuration;
    //移动端直播播放时长，单位为分钟
    private Integer liveMobilePlayDuration;
    //移动端回放播放时长，单位为分钟
    private Integer playbackMobilePlayDuration;
    //pc 其他 播放时长，单位为分钟
    private Integer unknownPcPlayDuration;
    //移动端其他 播放时长，单位为分钟
    private Integer unknownMobilePlayDuration;


}
