package com.yizhi.live.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 直播回放列表查询
 */
@Data
@Api
public class LiveReviewListVo {

    @ApiModelProperty(value = "直播主题、主播名称")
    private String title;
    @ApiModelProperty(value = "直播id")
    private List<Long> liveIdList;
    @ApiModelProperty(value = "上下文")
    private RequestContext requestContext;
    private int pageNo = 1;
    private int pageSize = 10;




}
